<template>
  <div class="container--hp">
    <banner />
    <whoami />
    <projects />
  </div>
</template>

<script>
import Banner from '~/components/Banner.vue'
import Whoami from '~/components/Whoami.vue'
import Projects from '~/components/Projects.vue'

export default {
  head() {
    return {
      title: 'Lenny Mans: Développeur web et mobile full stack - Portfolio',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: `Je suis Lenny Mans, développeur full stack et je vous souhaite la bienvenue sur mon portfolio. Découvrez mon parcours, mes projets ainsi que ma personnalité.`
        }
      ]
    }
  },
  components: {
    Banner,
    Whoami,
    Projects
  }
}
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: block;
}

.title {
  font-family: 'Quicksand', 'Source Sans Pro', -apple-system, BlinkMacSystemFont,
    'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}
</style>
